%This is the solution to tutorial 1. The file small.xlsx contains all the
%necessary modifications to solve for ATP production in glycolysis. 

%This loads the Excel model and converts it into SBML format. SBML is
%widely used in systems biology as a standard file format for models and
%networks.
SBMLFromExcel('small.xlsx','small.xml');

%This imports the SBML file to Matlab and stores it as a RAVEN model
smallModel=importModel('small.xml')

%This solves the problem. If it looks like:
%sol=
%   f: []
%...
%then the problem is not solvable. Be sure that you have added uptake and
%excretion of all necessary stuff.
sol=solveLP(smallModel)

%Print the resulting exchange fluxes
printFluxes(smallModel,sol.x,true);

%Print all fluxes
printFluxes(smallModel,sol.x,false,10^-5,[],'%rxnID (%rxnName):\n\t%eqn\n\t%flux\n');